using System;
using System.IO;

namespace LeerCars
{
  class Program
  {
    public static void Main(string[] args)
    {
      FileStream fe = null;
      char[] cBuffer = new char[81];
      byte[] bBuffer = new byte[81];
      int nbytes = 0;

      try
      {
        // Crear un flujo desde el fichero doc.txt
        fe = new FileStream("doc.txt", FileMode.Open,
                            FileAccess.Read);
        // Leer del fichero una línea de texto
        nbytes = fe.Read(bBuffer, 0, 81);
        // Crear un objeto String con el texto leído
        Array.Copy(bBuffer, cBuffer, bBuffer.Length);
        string str = new String(cBuffer, 0, nbytes);
        // Mostrar el texto leído
        Console.WriteLine(str);
      }
      catch (IOException e)
      {
        Console.WriteLine("Error: " + e.Message);
      }
      finally
      {
        // Cerrar el fichero
        if (fe != null) fe.Close();
      }
      
      Console.Write("Pulse una tecla para continuar...");
      Console.ReadKey(true);
    }
  }
}
